# Generated by Django 3.2.6 on 2023-06-09 10:48

from django.db import migrations
from smartwater.models import Observation

X_OFFSET = -58
Y_OFFSET = -30.5


def forward(apps, schema_editor):
    for o in Observation.objects.all():
        x, y = o.observed_point.coords
        o.observed_point.coords = (x + X_OFFSET, y + Y_OFFSET)
        o.save()


def reverse(apps, schema_editor):
    for o in Observation.objects.all():
        x, y = o.observed_point.coords
        o.observed_point.coords = (x - X_OFFSET, y - Y_OFFSET)
        o.save()


class Migration(migrations.Migration):

    dependencies = [
        ("smartwater", "0011_alter_observation_observed_point"),
    ]

    operations = [migrations.RunPython(forward, reverse)]
